﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using XmlViewer.DataAccess;

namespace XmlViewer.BusinessLogic
{
    /// <summary>
    /// concrete implementation of IFileHandler interface.
    /// </summary>
    class FileHandler : IFileHandler
    {
        /// <summary>
        /// Gets the contents of the file specified by the path parameter.
        /// </summary>
        /// <param name="path"></param>
        /// <returns>Contents of the file.</returns>
        public string Contents(string path)
        {
            // Need to use dependency injection so as not to have a direct
            // dependency on XmlFile.
            IFile file = new XmlFile(path);
            return file.Contents;
        }
    }
}
