﻿using System;
using System.Windows.Input;

namespace XmlViewer.ViewModels
{
    public class ActionCommand : ICommand
    {
        private readonly Action<string> commandToExecute;

        public ActionCommand(Action<string> commandToExecute)
        {
            this.commandToExecute = commandToExecute;
        }

        #region ICommand Members

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            commandToExecute(null);
        }

        #endregion
    }
}
